import pygame
from pygame.locals import *
import gamedata
import gametimer
import video
import shader
import inputs
import models
from OpenGL.GL import *


def set_universe(new_universe):
	global g_universe
	g_universe = new_universe
	
g_universe = None


def mainloop():
	global g_universe

	gametimer.start_loop()
	while True:
		events = pygame.event.get()
		gametimer.next_frame()
		pygame.event.pump()
		for ev in events:
			if ev.type == QUIT:
				inputs.add_command('exit')
				break
			elif ev.type == KEYUP:
				inputs.keyup(ev.key)
			elif ev.type == KEYDOWN:
				inputs.keydown(ev.key)
			#elif ev.type == VIDEOEXPOSE:
			#	video.force_redraw()
			elif ev.type in (MOUSEBUTTONDOWN, MOUSEBUTTONUP):
				pass
		
		if 'exit' in inputs.commands:
			break
		
		video.predraw()

		g_universe.frame()
		
		video.next_frame()
